<template>
  <ul class="menu-nav">
    <template v-for="item in getMenus">
      <li class="menu-section" v-bind:key="item.id">
        <h4 class="menu-text">{{ item.name }}</h4>
        <i class="menu-icon" :class="item.icon"></i>
      </li>
      <template v-for="subItem in item.sub">
        <router-link
          :to="subItem.url"
          v-slot="{ href, navigate, isActive, isExactActive }"
          v-bind:key="subItem.id"
        >
          <li
            aria-haspopup="true"
            data-menu-toggle="hover"
            class="menu-item"
            :class="[
              isActive && 'menu-item-active',
              isExactActive && 'menu-item-active'
            ]"
          >
            <a :href="href" class="menu-link" @click="navigate">
              <i class="menu-icon" :class="subItem.icon"></i>
              <span class="menu-text"> {{ subItem.name }}</span>
            </a>
          </li>
        </router-link>
      </template>
    </template>
  </ul>
</template>

<script>
import { GET_MENU } from "@/core/services/store/menu.module";
import { mapGetters } from "vuex";
export default {
  name: "KTMenu",
  methods: {
    hasActiveChildren(match) {
      return this.$route["path"].indexOf(match) !== -1;
    }
  },
  created() {
    this.$store.dispatch(GET_MENU, {
      params: { role: this.currentUser.data.id }
    });
  },
  computed: {
    ...mapGetters(["currentUser", "currentMenus"]),
    getMenus() {
      return this.currentMenus;
    }
  }
};
</script>
